/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;
import jp.mosp.payroll.dao.PtCurrentDao;

/**
 * 計算年月テーブルのレコードを保持する。<br><br>
 * {@link PtCurrentDao}と共に、DBとJavaプログラム間でレコードを共有する。<br>
 */
public class PtCurrentDto extends BaseDto {
	
	private static final long serialVersionUID = 8641441986930976986L;
	
	private String officeCode;
	private byte   calcType;
	private Date   calcDate;
	private byte   currentStatus;
	
	/**
	 * 計算年月を取得する。
	 * @return 計算年月
	 */
	public Date getCalcDate() {
		return getDateField(calcDate);
	}
	/**
	 * 計算年月を設定する。
	 * @param calcDate 設定する計算年月
	 */
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	}
	/**
	 * 計算区分を取得する。
	 * @return 計算区分
	 */
	public byte getCalcType() {
		return calcType;
	}
	/**
	 * 計算区分を設定する。
	 * @param calcType 設定する計算区分
	 */
	public void setCalcType(byte calcType) {
		this.calcType = calcType;
	}
	/**
	 * 計算状態を取得する。
	 * @return 計算状態
	 */
	public byte getCurrentStatus() {
		return currentStatus;
	}
	/**
	 * 計算状態を設定する。
	 * @param currentStatus 設定する計算状態
	 */
	public void setCurrentStatus(byte currentStatus) {
		this.currentStatus = currentStatus;
	}
	/**
	 * 事業所コードを取得する。
	 * @return 事業所コード
	 */
	public String getOfficeCode() {
		return officeCode;
	}
	/**
	 * 事業所コードを設定する。
	 * @param officeCode 設定する事業所コード
	 */
	public void setOfficeCode(String officeCode) {
		this.officeCode = officeCode;
	}
	
}
